[rspec-users] RSpec Texmate Bundle errors

Arthur Pétry arthur.petry at bolloretelecom.eu
Tue Oct 30 12:33:25 EDT 2007


Le 30 oct. 07 à 17:13, Alastair Moore a écrit :
> Hi Arthur,
>
> I've since upgraded to Leopard and installed Rspec/Textmate etc. I
> tried your patch but unfortunately it caused more errors. I'm still
> having the same errors on a reasonably fresh Leopard install.
>
> /Users/alastair/Library/Application Support/TextMate/Bundles/
> RSpec.tmbundle/Support/lib/spec/../spec/mate/runner.rb:34:in `run':
> undefined method `parse' for Spec::Runner::OptionParser:Class
> (NoMethodError) from /Users/alastair/Library/Application Support/
> TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/
> runner.rb:33:in `chdir' from /Users/alastair/Library/Application
> Support/TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/
> runner.rb:33:in `run' from /Users/alastair/Library/Application  
> Support/
> TextMate/Bundles/RSpec.tmbundle/Support/lib/spec/../spec/mate/
> runner.rb:17:in `run_focussed' from /tmp/temp_textmate.QzJ0Zt:4
>
> This is using ruby 1.8.6 (2007-06-07 patchlevel 36) [universal-
> darwin9.0] on the full release of 10.5 Leopard. RSpec bundle is 2799
> and  RSpec-1.0.8 (r2338) - BDD for Ruby http://rspec.rubyforge.org/



I'm too on Leopard, but I'm still using self installed ruby.
	ruby 1.8.6 (2007-03-13 patchlevel 0) [i686-darwin8.9.1]

Sorry to hear that removing the OptionParser.parse call, doesn't fix  
it for you.


More information about the rspec-users mailing list